#include "mp4ids.h"

namespace Media {

/*!
 * \brief Encapsulates the most common MP4 atom IDs.
 */
namespace Mp4AtomIds {
}

/*!
 * \brief Encapsulates IDs of MP4 atoms holding tag information.
 */
namespace Mp4TagAtomIds {
}

/*!
 * \brief Encapsulates "mean values" used in iTunes style MP4 tags.
 */
namespace Mp4TagExtendedMeanIds {
const char *iTunes = "com.apple.iTunes";
}

/*!
 * \brief Encapsulates "name values" used in iTunes style MP4 tags.
 */
namespace Mp4TagExtendedNameIds {
const char *cdec = "cdec";
}

/*!
 * \brief Encapsulates all supported MP4 media type IDs.
 */
namespace Mp4MediaTypeIds {
}

/*!
 * \brief Encapsulates all supported MP4 media format IDs.
 */
namespace Mp4FormatIds {
}

/*!
 * \brief Encapsulates all supported MP4 media format configuration box IDs.
 */
namespace Mp4FormatConfigurationIds {
}

}
